<?php
/**
 * @copyright   Copyright (c) 2017 https://www.sapixx.com All rights reserved.
 * @license     Licensed (http://www.apache.org/licenses/LICENSE-2.0).
 * @author      pillar<ltmn@qq.com>
 * 用户优惠券管理
 */
namespace app\smartbc\model;
use think\Model;

class SmartbcCouponUser extends Model{


    /**
     * 好店
     * @return void
     */
    public function store(){
        return $this->hasOne('SmartbcStore','id','store_id');
    }

    /**
     * 用户
     * @return void
     */
    public function user(){
        return $this->hasOne('app\common\model\SystemUser','id','uid');
    } 
    
    /**
     * 优惠券
     * @return void
     */
    public function coupon(){
        return $this->hasOne('SmartbcCoupon','id','coupon_id');
    }
}